snd (25.6-1) unstable; urgency=medium

  * New upstream version 25.6
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Aug 2025 23:02:40 +0200

snd (25.3-1) unstable; urgency=medium

  * New upstream version 25.3
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2025 11:29:28 +0200

snd (25.2-1) unstable; urgency=medium

  * New upstream version 25.2
    + Update d/upstream-changelog
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Mar 2025 20:50:46 +0100

snd (25.1-1) unstable; urgency=medium

  * New upstream version 25.1
    + Update d/upstream-changelog
  * Disable multiprecision arithmetic (upstream says its irrelevant)
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Feb 2025 17:27:09 +0100

snd (25.0-1) unstable; urgency=medium

  * New upstream version 25.0
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jan 2025 18:47:19 +0100

snd (24.9-1) unstable; urgency=medium

  * New upstream version 24.9
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 15 Nov 2024 23:13:51 +0100

snd (24.8-1) unstable; urgency=medium

  * New upstream version 24.8
    + Update d/upstream-changelog
  * Update AppStream metainfo
  * Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Oct 2024 23:13:48 +0200

snd (24.7-1) unstable; urgency=medium

  * New upstream version 24.7
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Sep 2024 23:40:20 +0200

snd (24.6-1) unstable; urgency=medium

  * New upstream version 24.6
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Aug 2024 00:01:00 +0200

snd (24.5-1) unstable; urgency=medium

  * New upstream version 24.5
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Jul 2024 15:07:44 +0200

snd (24.4-1) unstable; urgency=medium

  * New upstream version 24.4
    + Update d/upstream-changelog
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 May 2024 09:20:22 +0200

snd (24.3-1) unstable; urgency=medium

  * New upstream version 24.3
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Apr 2024 09:00:56 +0200

snd (24.2-1) unstable; urgency=medium

  * New upstream version 24.2
    + Update d/upstream-changelog
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 16:40:19 +0100

snd (24.1-1) unstable; urgency=medium

  * New upstream version 24.1
    + Update d/upstream-changelog
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 02 Feb 2024 10:30:22 +0100

snd (24.0-1) unstable; urgency=medium

  * New upstream version 24.0
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Install "hi-res" icon
    + Add 's.png' from https://ccrma.stanford.edu/software/snd/snd/snd.html
    + Resize to 96x96
    + Allow binary debian/snd.png
  * Install metainfo.xml (for snd-gui-jack)
  * Add variant specifier to .desktop files

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Jan 2024 22:47:17 +0100

snd (23.9-1) unstable; urgency=medium

  * New upstream version 23.9
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 25 Nov 2023 21:22:56 +0100

snd (23.8-2) unstable; urgency=medium

  * Use dh_auto_configure to fix cross-compilation
  * Use '--builddirectory' for dh_auto_build (rather than '--sourcedirectory')

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Oct 2023 09:19:15 +0200

snd (23.8-1) unstable; urgency=medium

  * New upstream version 23.8
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Oct 2023 22:05:24 +0200

snd (23.7-1) unstable; urgency=medium

  * New upstream version 23.7
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Sep 2023 21:49:35 +0200

snd (23.6-1) unstable; urgency=medium

  * New upstream version 23.6
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 06 Aug 2023 20:08:21 +0200

snd (23.5-1) unstable; urgency=medium

  * New upstream version 23.5
    + Update d/upstream-changelog
  * Drop transitional snd-gtk-* packages (Closes: #1038283, #1038299)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Jul 2023 22:32:08 +0200

snd (23.4-1) unstable; urgency=medium

  * New upstream version 23.4
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 15:23:03 +0200

snd (23.1-1) unstable; urgency=medium

  * New upstream version 23.1
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Feb 2023 22:02:14 +0100

snd (23.0-1) unstable; urgency=medium

  * New upstream version 23.0
    + Update d/upstream-changelog
  * Apply 'wrap-and-sort -ast'
  * Update d/copyright
    + Bump copyright-dates
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Drop unused lintian-override
  * Fix d/watch to filter out pre-releases
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2023 10:18:48 +0100

snd (23-1) unstable; urgency=medium

  * New upstream version 23
    + Update d/upstream-changelog
  * Change my email address
  * Update d/source/lintian-overrides

 -- Dennis Braun <snd@debian.org>  Mon, 19 Dec 2022 23:05:04 +0100

snd (22.9-1) unstable; urgency=medium

  * New upstream version 22.9
    + Update d/upstream-changelog
  * Update 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 21 Nov 2022 15:24:12 +0100

snd (22.8-1) unstable; urgency=medium

  * New upstream version 22.8
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Oct 2022 11:26:41 +0200

snd (22.7-1) unstable; urgency=medium

  * New upstream version 22.7
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 16 Sep 2022 14:42:55 +0200

snd (22.6-2) unstable; urgency=medium

  * Skip autopkgtests on big-endian architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 11:11:49 +0200

snd (22.6-1) unstable; urgency=medium

  * New upstream version 22.6
    + Update d/upstream-changelog
  * Drop B-D on notcurses (Closes: #1016444)
  * Provide s7.h (in a private location) for dynamically creating libc_s7.so
  * Add autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 11 Aug 2022 20:42:56 +0200

snd (22.5-2) unstable; urgency=medium

  * B-D on libncurses-dev (as a transitional dependency of notcurses)
    (See #1015747)
  * Apply 'wrap-and-sort -ast'
  * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Jul 2022 14:42:35 +0200

snd (22.5-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 22.5
    + Update d/upstream-changelog
    + Refresh patches
  * Revert "Add libjack-jackd2-dev as B-D and libjack-dev as optional"
    (libjack-jackd2-dev already provides libjack-dev, so the current situation
     is "libjack-dev as B-D, and libjack-jackd2-dev as optional")
  * Update lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Jul 2022 09:23:14 +0200

snd (22.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 4.10-1, 3.4-1.
  * Use cross-build compatible macro for finding pkg-config.

  [ Dennis Braun ]
  * New upstream version 22.4
    + Update d/upstream-changelog
  * d/control:
    + Add libjack-jackd2-dev as B-D and libjack-dev as optional
    + Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 06 Jun 2022 11:54:58 +0200

snd (22.3-1) unstable; urgency=medium

  * New upstream version 22.3
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Apr 2022 18:29:17 +0200

snd (22.2-1) unstable; urgency=medium

  * New upstream version 22.2
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Mar 2022 22:05:40 +0100

snd (22.1-1) unstable; urgency=medium

  * New upstream version 22.1
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 09 Feb 2022 09:52:21 +0100

snd (22.0-1) unstable; urgency=medium

  * New upstream version 22.0
    + Updated d/upstream-changelog
  * Refresh d/copyright
    + Bump dates in d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Jan 2022 21:32:15 +0100

snd (22-1) unstable; urgency=medium

  * New upstream version 22
    * Updated d/upstream-changelog
  * Use 'command -v' instead of 'which' in upstream-changelog helper-script

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Nov 2021 16:59:31 +0100

snd (21.8-1) unstable; urgency=medium

  * New upstream version 21.8
  * Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Nov 2021 16:54:11 +0100

snd (21.7-1) unstable; urgency=medium

  * New upstream version 21.7
  * Update d/upstream-changelog
  * Mark 'snd' as 'meta package'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Sep 2021 16:02:30 +0200

snd (21.6-1) unstable; urgency=medium

  * New upstream version 21.6
  * Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 Aug 2021 23:27:38 +0200

snd (21.1-1) unstable; urgency=medium

  * New upstream version 21.1
  * Update d/upstream-changelog
  * Drop patches applied by upstream
  * Remove d/patches section for now
  * Bump d/watch version

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 09 Feb 2021 21:52:22 +0100

snd (21.0-2) unstable; urgency=medium

  * Fix FTBFS due to broken notcurses version-comparision
    (Closes: #980605)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Jan 2021 09:52:35 +0100

snd (21.0-1) unstable; urgency=medium

  * New upstream version 21.0
    * Add patch to fix FTBFS with notcurses>=2.1.4
    * Backport fix for FTBFS when using notcurses

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Jan 2021 00:00:03 +0100

snd (20.9-1) unstable; urgency=medium

  * New upstream version 20.9
    * Update upstream changelog
    * Drop patches applied upstream
  * Fix FTBFS for notcurses>=2.0.5 (Closes: #975082)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Nov 2020 12:34:38 +0100

snd (20.8-3) unstable; urgency=medium

  * Patch to fix FTBFS with notcurses2 (Closes: #975082)
    * since notcurses2, the API is supposed to be stable.
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Nov 2020 13:16:52 +0100

snd (20.8-2) unstable; urgency=medium

  * Enabled 'notcurses' for nox flavour
    * Add patch to fix compilation with recent notcurses

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Oct 2020 13:48:19 +0200

snd (20.8-1) unstable; urgency=medium

  * Upload to unstable.
  * Build 'snd-gui-jack' with JACK support on all platforms.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Oct 2020 23:05:02 +0200

snd (20.8-1~exp1) experimental; urgency=medium

  * New upstream version 20.8
    - Update upstream-changelog
    - Refresh patches
  * Drop GTK in favour of Motif
    - B-D on motif (instead of gtk) and notcurses
    - B-D on libgl-dev & libglu-dev
    - Drop gtk-patch
  * Restructured packages
    - snd -> snd-common
    - snd-gtk-* -> snd-gui-*
    - new package snd (for a fully functional Snd installation)
    - transitional snd-gtk-* packages
  * Install the generated upstream Changelog
  * Update lintian-overrides for the "Lisp Lesser GPL"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Oct 2020 10:28:22 +0200

snd (20.7-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 20.7
  * Update upstream-changelog

  [ IOhannes m zmölnig ]
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Sep 2020 21:35:31 +0200

snd (20.6-1) unstable; urgency=medium

  * New upstream version 20.6
  * Update upstream-changelog
  * Remove -Wl,--as-needed ldflags

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Aug 2020 17:03:51 +0200

snd (20.5-2) unstable; urgency=medium

  * Switched from CDBS to debhelper (compat=13)
  * Use declarative alternatives handling from debhelper-13.1
  * Regenerate d/changelog_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jul 2020 14:29:25 +0200

snd (20.5-1) unstable; urgency=medium

  * New upstream version 20.5

  [ Dennis Braun ]
  * Update upstream-changelog
  * Refresh spelling patch

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Build with support for vorbis, mpeg, flac, midi & wavpack
    * Patch to allow non-absolute paths to helper-programs
    * 'Recommend' the relevant packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jul 2020 12:29:53 +0200

snd (20.4-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 20.4
  * Update upstream-changelog

  [ IOhannes m zmölnig ]
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 14 Jun 2020 23:45:29 +0200

snd (20.3-1) unstable; urgency=medium

  * New upstream version 20.3

  [ Dennis Braun ]
  * Update upstream-changelog
  * Update spelling fixes
  * Add hardening
  * Add me as uploader

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Apr 2020 16:09:35 +0200

snd (20.2-1) unstable; urgency=medium

  * New upstream version 20.2
    * Update upstream changelog
    * Update spelling fixes

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Mar 2020 15:52:21 +0100

snd (20.1-1) unstable; urgency=medium

  * New upstream version 20.1
    * Update upstream changelog
    * Refresh patches
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 12 Feb 2020 11:56:44 +0100

snd (20.0-1) unstable; urgency=medium

  * New upstream version 20.0
    * Update upstream changelog
    * Refresh d/patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 09:50:01 +0100

snd (19.9-1) unstable; urgency=medium

  * New upstream version 19.9
    * Refresh patches
  * Update d/watch to use https:// rather than ftp://

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 07 Dec 2019 20:54:07 +0100

snd (19.8-1) unstable; urgency=medium

  * New upstream version 19.8
    * Update upstream changelog
    * Refresh patches
    * Drop backported patches
  * Versioned B-D on debhelper
  * Bump standards version to 4.4.1
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 18 Oct 2019 13:41:15 +0200

snd (19.7-1~exp1) experimental; urgency=medium

  * New upstream version 19.7
    * Update upstream changelog
    * Refresh patches
  * Backport patch to prevent FTBFS
    * Upload to experimental to check how sane the backported patch is.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Sep 2019 14:34:19 +0200

snd (19.6-1) unstable; urgency=medium

  * New upstream version 19.6
    * Update upstream changelog
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Aug 2019 21:21:35 +0200

snd (19.5-1) unstable; urgency=medium

  * New upstream version 19.5
    * Update upstream changelog
  * Refresh patches
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 10
  * Bump standards-version to 4.4.0
    * No changes required (but we still use CDBS for packaging)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jul 2019 09:58:56 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog snd-nox`.
